Monday, June 1, 2009

JRuby only supports F_SETFL for fcntl/ioctl currently

The "JRuby only supports F_SETFL for fcntl/ioctl currently" error is fixed in the latest version of JRuby but still exists in the 1.3.0RC1 version included with Warbler 0.9.13. First off trying getting a newer version of warbler. If there isn't one yet, to get around that, you can do the following to fix:
* Read how you can get warbler to use a newer version of JRuby jar in your war.

No comments: